Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedIDREFS

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.type.SOMElementalType
                  com.bea.schema.type.PrimitiveString
                      com.bea.schema.type.DerivedNormalizedString
                          com.bea.schema.type.DerivedToken
                              com.bea.schema.type.DerivedName
                                  com.bea.schema.type.DerivedNCName
                                      com.bea.schema.type.DerivedIDREF
                                          com.bea.schema.type.DerivedIDREFS

All Implemented Interfaces:
  Serializable

public class DerivedIDREFS
extends DerivedIDREF

IDREFS represents the IDREFS attribute type from [XML 1.0 Recommendation (Second Edition)]. The value space of IDREFS is the set of finite-length sequences of IDREFs that have been used in an XML document. The lexical space of IDREFS is the set of whitespace separated tokens, each of which is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

IDREFS has the following constraining facets:

- length
- minLength
- maxLength
- enumeration
- whiteSpace

Version:
  1.0
Author:
  sharpe
See Also:
  W3C XML Schema IDREFS, Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedIDREFS()`

Method Summary
`Vector` | `getAllowedFacets()` By default, all sub-classes of SOMType do not allow facets (restrictions).
`String` | `getID()` <xsd:anyType>

Methods inherited from class com.bea.schema.type.PrimitiveString
`createDefault, isValid`

Methods inherited from class com.bea.schema.type.SOMElementalType
`getTypeRestrictions, isSchemaChild`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedIDREFS

    public DerivedIDREFS()

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMType`
  <xsd:anyType>

  Overrides:
    `getID` in class `DerivedIDREF`

### getAllowedFacets

    public Vector getAllowedFacets()

  Description copied from class: `SOMType`
  By default, all sub-classes of SOMType do not allow facets (restrictions). For types that do allow facets, the getAllowedFacets() method returns an Enumeration of String objects for the names of allowable facets.

  Overrides:
    `getAllowedFacets` in class `DerivedIDREF`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD